Update Custom Attributes
POST
Updates the custom attributes of a conversation
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
conversation_id*integerThe numeric ID of the conversation
application/json- body
custom_attributes*The custom attributes to be set for the conversation
merge?booleanWhen true, only the keys sent in custom_attributes are updated and the remaining keys are kept intact. When false (default), the whole custom attributes hash is replaced. Use the destroy_custom_attributes endpoint to remove keys.
Default
falseSuccess
application/json- response
custom_attributes?The custom attributes of the conversation
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/custom_attributes' \ -H 'Content-Type: application/json' \ -d '{ "custom_attributes": {}}'Example Response
{ "custom_attributes": {}}